summaryrefslogtreecommitdiff
path: root/data
diff options
context:
space:
mode:
authorPerberos <[email protected]>2011-12-01 22:49:12 -0300
committerPerberos <[email protected]>2011-12-01 22:49:12 -0300
commit781b0ff3f74abd6f5353b6d08763bbba93f2f21c (patch)
tree20c130b413586219356ec360efb5918a498cee69 /data
downloadmate-notification-daemon-781b0ff3f74abd6f5353b6d08763bbba93f2f21c.tar.bz2
mate-notification-daemon-781b0ff3f74abd6f5353b6d08763bbba93f2f21c.tar.xz
moving from https://github.com/perberos/mate-desktop-environment
Diffstat (limited to 'data')
-rw-r--r--data/Makefile.am58
-rw-r--r--data/Makefile.in671
-rw-r--r--data/icons/16x16/mate-notification-properties.pngbin0 -> 514 bytes
-rw-r--r--data/icons/22x22/mate-notification-properties.pngbin0 -> 560 bytes
-rw-r--r--data/icons/24x24/mate-notification-properties.pngbin0 -> 554 bytes
-rw-r--r--data/icons/32x32/mate-notification-properties.pngbin0 -> 725 bytes
-rw-r--r--data/icons/48x48/mate-notification-properties.pngbin0 -> 938 bytes
-rw-r--r--data/icons/scalable/mate-notification-properties.svg122
-rw-r--r--data/mate-notification-daemon.schemas.in53
-rw-r--r--data/org.freedesktop.mate.Notifications.service.in3
10 files changed, 907 insertions, 0 deletions
diff --git a/data/Makefile.am b/data/Makefile.am
new file mode 100644
index 0000000..4a80715
--- /dev/null
+++ b/data/Makefile.am
@@ -0,0 +1,58 @@
+icon16dir = $(datadir)/icons/hicolor/16x16/apps
+icon22dir = $(datadir)/icons/hicolor/22x22/apps
+icon24dir = $(datadir)/icons/hicolor/24x24/apps
+icon32dir = $(datadir)/icons/hicolor/32x32/apps
+icon48dir = $(datadir)/icons/hicolor/48x48/apps
+iconscalabledir = $(datadir)/icons/hicolor/scalable/apps
+
+icon16_DATA = icons/16x16/mate-notification-properties.png
+icon22_DATA = icons/22x22/mate-notification-properties.png
+icon24_DATA = icons/24x24/mate-notification-properties.png
+icon32_DATA = icons/32x32/mate-notification-properties.png
+icon48_DATA = icons/48x48/mate-notification-properties.png
+iconscalable_DATA = icons/scalable/mate-notification-properties.svg
+
+
+servicedir = $(DBUS_SERVICES_DIR)
+service_DATA = org.freedesktop.mate.Notifications.service
+
+schemasdir = $(MATECONF_SCHEMA_FILE_DIR)
+schemas_in_files = mate-notification-daemon.schemas.in
+schemas_DATA = $(schemas_in_files:.schemas.in=.schemas)
+
+@INTLTOOL_SCHEMAS_RULE@
+
+if MATECONF_SCHEMAS_INSTALL
+install-data-local:
+ MATECONF_CONFIG_SOURCE=$(MATECONF_SCHEMA_CONFIG_SOURCE) $(MATECONFTOOL) --makefile-install-rule $(schemas_DATA)
+else
+install-data-local:
+endif
+
+EXTRA_DIST = \
+ $(schemas_in_files) \
+ $(service_DATA) \
+ $(icon16_DATA) \
+ $(icon22_DATA) \
+ $(icon24_DATA) \
+ $(icon32_DATA) \
+ $(icon48_DATA) \
+ $(iconscalable_DATA)
+
+CLEANFILES = $(schemas_DATA)
+
+
+gtk_update_icon_cache = gtk-update-icon-cache -f -t $(datadir)/icons/hicolor
+
+install-data-hook: update-icon-cache
+uninstall-hook: update-icon-cache
+update-icon-cache:
+ @-if test -z "$(DESTDIR)"; then \
+ echo "Updating Gtk icon cache."; \
+ $(gtk_update_icon_cache); \
+ else \
+ echo "*** Icon cache not updated. After (un)install, run this:"; \
+ echo "*** $(gtk_update_icon_cache)"; \
+ fi
+
+-include $(top_srcdir)/git.mk
diff --git a/data/Makefile.in b/data/Makefile.in
new file mode 100644
index 0000000..f1d9de5
--- /dev/null
+++ b/data/Makefile.in
@@ -0,0 +1,671 @@
+# Makefile.in generated by automake 1.11.1 from Makefile.am.
+# @configure_input@
+
+# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
+# 2003, 2004, 2005, 2006, 2007, 2008, 2009 Free Software Foundation,
+# Inc.
+# This Makefile.in is free software; the Free Software Foundation
+# gives unlimited permission to copy and/or distribute it,
+# with or without modifications, as long as this notice is preserved.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
+# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
+# PARTICULAR PURPOSE.
+
+@SET_MAKE@
+
+VPATH = @srcdir@
+pkgdatadir = $(datadir)/@PACKAGE@
+pkgincludedir = $(includedir)/@PACKAGE@
+pkglibdir = $(libdir)/@PACKAGE@
+pkglibexecdir = $(libexecdir)/@PACKAGE@
+am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
+install_sh_DATA = $(install_sh) -c -m 644
+install_sh_PROGRAM = $(install_sh) -c
+install_sh_SCRIPT = $(install_sh) -c
+INSTALL_HEADER = $(INSTALL_DATA)
+transform = $(program_transform_name)
+NORMAL_INSTALL = :
+PRE_INSTALL = :
+POST_INSTALL = :
+NORMAL_UNINSTALL = :
+PRE_UNINSTALL = :
+POST_UNINSTALL = :
+build_triplet = @build@
+host_triplet = @host@
+subdir = data
+DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
+ $(srcdir)/org.freedesktop.mate.Notifications.service.in
+ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
+am__aclocal_m4_deps = $(top_srcdir)/macros/intltool.m4 \
+ $(top_srcdir)/macros/libtool.m4 \
+ $(top_srcdir)/macros/ltoptions.m4 \
+ $(top_srcdir)/macros/ltsugar.m4 \
+ $(top_srcdir)/macros/ltversion.m4 \
+ $(top_srcdir)/macros/lt~obsolete.m4 $(top_srcdir)/acinclude.m4 \
+ $(top_srcdir)/configure.ac
+am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
+ $(ACLOCAL_M4)
+mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
+CONFIG_HEADER = $(top_builddir)/config.h
+CONFIG_CLEAN_FILES = org.freedesktop.mate.Notifications.service
+CONFIG_CLEAN_VPATH_FILES =
+AM_V_GEN = $(am__v_GEN_$(V))
+am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
+am__v_GEN_0 = @echo " GEN " $@;
+AM_V_at = $(am__v_at_$(V))
+am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
+am__v_at_0 = @
+SOURCES =
+DIST_SOURCES =
+am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
+am__vpath_adj = case $$p in \
+ $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
+ *) f=$$p;; \
+ esac;
+am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
+am__install_max = 40
+am__nobase_strip_setup = \
+ srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
+am__nobase_strip = \
+ for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
+am__nobase_list = $(am__nobase_strip_setup); \
+ for p in $$list; do echo "$$p $$p"; done | \
+ sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
+ $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
+ if (++n[$$2] == $(am__install_max)) \
+ { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
+ END { for (dir in files) print dir, files[dir] }'
+am__base_list = \
+ sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
+ sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
+am__installdirs = "$(DESTDIR)$(icon16dir)" "$(DESTDIR)$(icon22dir)" \
+ "$(DESTDIR)$(icon24dir)" "$(DESTDIR)$(icon32dir)" \
+ "$(DESTDIR)$(icon48dir)" "$(DESTDIR)$(iconscalabledir)" \
+ "$(DESTDIR)$(schemasdir)" "$(DESTDIR)$(servicedir)"
+DATA = $(icon16_DATA) $(icon22_DATA) $(icon24_DATA) $(icon32_DATA) \
+ $(icon48_DATA) $(iconscalable_DATA) $(schemas_DATA) \
+ $(service_DATA)
+DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
+ACLOCAL = @ACLOCAL@
+ALL_LINGUAS = @ALL_LINGUAS@
+AMTAR = @AMTAR@
+AM_CFLAGS = @AM_CFLAGS@
+AM_CXXFLAGS = @AM_CXXFLAGS@
+AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
+AR = @AR@
+AUTOCONF = @AUTOCONF@
+AUTOHEADER = @AUTOHEADER@
+AUTOMAKE = @AUTOMAKE@
+AWK = @AWK@
+CATALOGS = @CATALOGS@
+CATOBJEXT = @CATOBJEXT@
+CC = @CC@
+CCDEPMODE = @CCDEPMODE@
+CFLAGS = @CFLAGS@
+CPP = @CPP@
+CPPFLAGS = @CPPFLAGS@
+CYGPATH_W = @CYGPATH_W@
+DATADIR = @DATADIR@
+DATADIRNAME = @DATADIRNAME@
+DBUS_SERVICES_DIR = @DBUS_SERVICES_DIR@
+DBUS_SYS_DIR = @DBUS_SYS_DIR@
+DEFS = @DEFS@
+DEPDIR = @DEPDIR@
+DISABLE_DEPRECATED = @DISABLE_DEPRECATED@
+DLLTOOL = @DLLTOOL@
+DSYMUTIL = @DSYMUTIL@
+DUMPBIN = @DUMPBIN@
+ECHO_C = @ECHO_C@
+ECHO_N = @ECHO_N@
+ECHO_T = @ECHO_T@
+EGREP = @EGREP@
+EXEEXT = @EXEEXT@
+FGREP = @FGREP@
+GDK_CFLAGS = @GDK_CFLAGS@
+GDK_LIBS = @GDK_LIBS@
+GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
+GMOFILES = @GMOFILES@
+GMSGFMT = @GMSGFMT@
+GREP = @GREP@
+INSTALL = @INSTALL@
+INSTALL_DATA = @INSTALL_DATA@
+INSTALL_PROGRAM = @INSTALL_PROGRAM@
+INSTALL_SCRIPT = @INSTALL_SCRIPT@
+INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+INSTOBJEXT = @INSTOBJEXT@
+INTLLIBS = @INTLLIBS@
+INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
+INTLTOOL_MERGE = @INTLTOOL_MERGE@
+INTLTOOL_PERL = @INTLTOOL_PERL@
+INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
+LD = @LD@
+LDFLAGS = @LDFLAGS@
+LIBDIR = @LIBDIR@
+LIBEXECDIR = @LIBEXECDIR@
+LIBOBJS = @LIBOBJS@
+LIBS = @LIBS@
+LIBTOOL = @LIBTOOL@
+LIPO = @LIPO@
+LN_S = @LN_S@
+LTLIBOBJS = @LTLIBOBJS@
+MAINT = @MAINT@
+MAKEINFO = @MAKEINFO@
+MANIFEST_TOOL = @MANIFEST_TOOL@
+MATECONFTOOL = @MATECONFTOOL@
+MATECONF_SCHEMA_CONFIG_SOURCE = @MATECONF_SCHEMA_CONFIG_SOURCE@
+MATECONF_SCHEMA_FILE_DIR = @MATECONF_SCHEMA_FILE_DIR@
+MKDIR_P = @MKDIR_P@
+MKINSTALLDIRS = @MKINSTALLDIRS@
+MSGFMT = @MSGFMT@
+MSGFMT_OPTS = @MSGFMT_OPTS@
+MSGMERGE = @MSGMERGE@
+NM = @NM@
+NMEDIT = @NMEDIT@
+NOTIFICATION_CAPPLET_CFLAGS = @NOTIFICATION_CAPPLET_CFLAGS@
+NOTIFICATION_CAPPLET_LIBS = @NOTIFICATION_CAPPLET_LIBS@
+NOTIFICATION_DAEMON_CFLAGS = @NOTIFICATION_DAEMON_CFLAGS@
+NOTIFICATION_DAEMON_LIBS = @NOTIFICATION_DAEMON_LIBS@
+OBJDUMP = @OBJDUMP@
+OBJEXT = @OBJEXT@
+OTOOL = @OTOOL@
+OTOOL64 = @OTOOL64@
+PACKAGE = @PACKAGE@
+PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
+PACKAGE_NAME = @PACKAGE_NAME@
+PACKAGE_STRING = @PACKAGE_STRING@
+PACKAGE_TARNAME = @PACKAGE_TARNAME@
+PACKAGE_URL = @PACKAGE_URL@
+PACKAGE_VERSION = @PACKAGE_VERSION@
+PATH_SEPARATOR = @PATH_SEPARATOR@
+PKG_CONFIG = @PKG_CONFIG@
+PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
+PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
+POFILES = @POFILES@
+POSUB = @POSUB@
+PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
+PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
+RANLIB = @RANLIB@
+SED = @SED@
+SET_MAKE = @SET_MAKE@
+SHELL = @SHELL@
+STRIP = @STRIP@
+SYSCONFDIR = @SYSCONFDIR@
+THEME_CFLAGS = @THEME_CFLAGS@
+THEME_LIBS = @THEME_LIBS@
+USE_NLS = @USE_NLS@
+VERSION = @VERSION@
+WARN_CFLAGS = @WARN_CFLAGS@
+WARN_CXXFLAGS = @WARN_CXXFLAGS@
+XGETTEXT = @XGETTEXT@
+abs_builddir = @abs_builddir@
+abs_srcdir = @abs_srcdir@
+abs_top_builddir = @abs_top_builddir@
+abs_top_srcdir = @abs_top_srcdir@
+ac_ct_AR = @ac_ct_AR@
+ac_ct_CC = @ac_ct_CC@
+ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
+am__include = @am__include@
+am__leading_dot = @am__leading_dot@
+am__quote = @am__quote@
+am__tar = @am__tar@
+am__untar = @am__untar@
+bindir = @bindir@
+build = @build@
+build_alias = @build_alias@
+build_cpu = @build_cpu@
+build_os = @build_os@
+build_vendor = @build_vendor@
+builddir = @builddir@
+datadir = @datadir@
+datarootdir = @datarootdir@
+docdir = @docdir@
+dvidir = @dvidir@
+exec_prefix = @exec_prefix@
+host = @host@
+host_alias = @host_alias@
+host_cpu = @host_cpu@
+host_os = @host_os@
+host_vendor = @host_vendor@
+htmldir = @htmldir@
+includedir = @includedir@
+infodir = @infodir@
+install_sh = @install_sh@
+libdir = @libdir@
+libexecdir = @libexecdir@
+localedir = @localedir@
+localstatedir = @localstatedir@
+mandir = @mandir@
+mkdir_p = @mkdir_p@
+oldincludedir = @oldincludedir@
+pdfdir = @pdfdir@
+prefix = @prefix@
+program_transform_name = @program_transform_name@
+psdir = @psdir@
+sbindir = @sbindir@
+sharedstatedir = @sharedstatedir@
+srcdir = @srcdir@
+sysconfdir = @sysconfdir@
+target_alias = @target_alias@
+top_build_prefix = @top_build_prefix@
+top_builddir = @top_builddir@
+top_srcdir = @top_srcdir@
+icon16dir = $(datadir)/icons/hicolor/16x16/apps
+icon22dir = $(datadir)/icons/hicolor/22x22/apps
+icon24dir = $(datadir)/icons/hicolor/24x24/apps
+icon32dir = $(datadir)/icons/hicolor/32x32/apps
+icon48dir = $(datadir)/icons/hicolor/48x48/apps
+iconscalabledir = $(datadir)/icons/hicolor/scalable/apps
+icon16_DATA = icons/16x16/mate-notification-properties.png
+icon22_DATA = icons/22x22/mate-notification-properties.png
+icon24_DATA = icons/24x24/mate-notification-properties.png
+icon32_DATA = icons/32x32/mate-notification-properties.png
+icon48_DATA = icons/48x48/mate-notification-properties.png
+iconscalable_DATA = icons/scalable/mate-notification-properties.svg
+servicedir = $(DBUS_SERVICES_DIR)
+service_DATA = org.freedesktop.mate.Notifications.service
+schemasdir = $(MATECONF_SCHEMA_FILE_DIR)
+schemas_in_files = mate-notification-daemon.schemas.in
+schemas_DATA = $(schemas_in_files:.schemas.in=.schemas)
+EXTRA_DIST = \
+ $(schemas_in_files) \
+ $(service_DATA) \
+ $(icon16_DATA) \
+ $(icon22_DATA) \
+ $(icon24_DATA) \
+ $(icon32_DATA) \
+ $(icon48_DATA) \
+ $(iconscalable_DATA)
+
+CLEANFILES = $(schemas_DATA)
+gtk_update_icon_cache = gtk-update-icon-cache -f -t $(datadir)/icons/hicolor
+all: all-am
+
+.SUFFIXES:
+$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
+ @for dep in $?; do \
+ case '$(am__configure_deps)' in \
+ *$$dep*) \
+ ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
+ && { if test -f $@; then exit 0; else break; fi; }; \
+ exit 1;; \
+ esac; \
+ done; \
+ echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu data/Makefile'; \
+ $(am__cd) $(top_srcdir) && \
+ $(AUTOMAKE) --gnu data/Makefile
+.PRECIOUS: Makefile
+Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+ @case '$?' in \
+ *config.status*) \
+ cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
+ *) \
+ echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
+ cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
+ esac;
+
+$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+ cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+
+$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
+ cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
+ cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+$(am__aclocal_m4_deps):
+org.freedesktop.mate.Notifications.service: $(top_builddir)/config.status $(srcdir)/org.freedesktop.mate.Notifications.service.in
+ cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
+
+mostlyclean-libtool:
+ -rm -f *.lo
+
+clean-libtool:
+ -rm -rf .libs _libs
+install-icon16DATA: $(icon16_DATA)
+ @$(NORMAL_INSTALL)
+ test -z "$(icon16dir)" || $(MKDIR_P) "$(DESTDIR)$(icon16dir)"
+ @list='$(icon16_DATA)'; test -n "$(icon16dir)" || list=; \
+ for p in $$list; do \
+ if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+ echo "$$d$$p"; \
+ done | $(am__base_list) | \
+ while read files; do \
+ echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(icon16dir)'"; \
+ $(INSTALL_DATA) $$files "$(DESTDIR)$(icon16dir)" || exit $$?; \
+ done
+
+uninstall-icon16DATA:
+ @$(NORMAL_UNINSTALL)
+ @list='$(icon16_DATA)'; test -n "$(icon16dir)" || list=; \
+ files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
+ test -n "$$files" || exit 0; \
+ echo " ( cd '$(DESTDIR)$(icon16dir)' && rm -f" $$files ")"; \
+ cd "$(DESTDIR)$(icon16dir)" && rm -f $$files
+install-icon22DATA: $(icon22_DATA)
+ @$(NORMAL_INSTALL)
+ test -z "$(icon22dir)" || $(MKDIR_P) "$(DESTDIR)$(icon22dir)"
+ @list='$(icon22_DATA)'; test -n "$(icon22dir)" || list=; \
+ for p in $$list; do \
+ if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+ echo "$$d$$p"; \
+ done | $(am__base_list) | \
+ while read files; do \
+ echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(icon22dir)'"; \
+ $(INSTALL_DATA) $$files "$(DESTDIR)$(icon22dir)" || exit $$?; \
+ done
+
+uninstall-icon22DATA:
+ @$(NORMAL_UNINSTALL)
+ @list='$(icon22_DATA)'; test -n "$(icon22dir)" || list=; \
+ files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
+ test -n "$$files" || exit 0; \
+ echo " ( cd '$(DESTDIR)$(icon22dir)' && rm -f" $$files ")"; \
+ cd "$(DESTDIR)$(icon22dir)" && rm -f $$files
+install-icon24DATA: $(icon24_DATA)
+ @$(NORMAL_INSTALL)
+ test -z "$(icon24dir)" || $(MKDIR_P) "$(DESTDIR)$(icon24dir)"
+ @list='$(icon24_DATA)'; test -n "$(icon24dir)" || list=; \
+ for p in $$list; do \
+ if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+ echo "$$d$$p"; \
+ done | $(am__base_list) | \
+ while read files; do \
+ echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(icon24dir)'"; \
+ $(INSTALL_DATA) $$files "$(DESTDIR)$(icon24dir)" || exit $$?; \
+ done
+
+uninstall-icon24DATA:
+ @$(NORMAL_UNINSTALL)
+ @list='$(icon24_DATA)'; test -n "$(icon24dir)" || list=; \
+ files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
+ test -n "$$files" || exit 0; \
+ echo " ( cd '$(DESTDIR)$(icon24dir)' && rm -f" $$files ")"; \
+ cd "$(DESTDIR)$(icon24dir)" && rm -f $$files
+install-icon32DATA: $(icon32_DATA)
+ @$(NORMAL_INSTALL)
+ test -z "$(icon32dir)" || $(MKDIR_P) "$(DESTDIR)$(icon32dir)"
+ @list='$(icon32_DATA)'; test -n "$(icon32dir)" || list=; \
+ for p in $$list; do \
+ if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+ echo "$$d$$p"; \
+ done | $(am__base_list) | \
+ while read files; do \
+ echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(icon32dir)'"; \
+ $(INSTALL_DATA) $$files "$(DESTDIR)$(icon32dir)" || exit $$?; \
+ done
+
+uninstall-icon32DATA:
+ @$(NORMAL_UNINSTALL)
+ @list='$(icon32_DATA)'; test -n "$(icon32dir)" || list=; \
+ files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
+ test -n "$$files" || exit 0; \
+ echo " ( cd '$(DESTDIR)$(icon32dir)' && rm -f" $$files ")"; \
+ cd "$(DESTDIR)$(icon32dir)" && rm -f $$files
+install-icon48DATA: $(icon48_DATA)
+ @$(NORMAL_INSTALL)
+ test -z "$(icon48dir)" || $(MKDIR_P) "$(DESTDIR)$(icon48dir)"
+ @list='$(icon48_DATA)'; test -n "$(icon48dir)" || list=; \
+ for p in $$list; do \
+ if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+ echo "$$d$$p"; \
+ done | $(am__base_list) | \
+ while read files; do \
+ echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(icon48dir)'"; \
+ $(INSTALL_DATA) $$files "$(DESTDIR)$(icon48dir)" || exit $$?; \
+ done
+
+uninstall-icon48DATA:
+ @$(NORMAL_UNINSTALL)
+ @list='$(icon48_DATA)'; test -n "$(icon48dir)" || list=; \
+ files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
+ test -n "$$files" || exit 0; \
+ echo " ( cd '$(DESTDIR)$(icon48dir)' && rm -f" $$files ")"; \
+ cd "$(DESTDIR)$(icon48dir)" && rm -f $$files
+install-iconscalableDATA: $(iconscalable_DATA)
+ @$(NORMAL_INSTALL)
+ test -z "$(iconscalabledir)" || $(MKDIR_P) "$(DESTDIR)$(iconscalabledir)"
+ @list='$(iconscalable_DATA)'; test -n "$(iconscalabledir)" || list=; \
+ for p in $$list; do \
+ if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+ echo "$$d$$p"; \
+ done | $(am__base_list) | \
+ while read files; do \
+ echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(iconscalabledir)'"; \
+ $(INSTALL_DATA) $$files "$(DESTDIR)$(iconscalabledir)" || exit $$?; \
+ done
+
+uninstall-iconscalableDATA:
+ @$(NORMAL_UNINSTALL)
+ @list='$(iconscalable_DATA)'; test -n "$(iconscalabledir)" || list=; \
+ files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
+ test -n "$$files" || exit 0; \
+ echo " ( cd '$(DESTDIR)$(iconscalabledir)' && rm -f" $$files ")"; \
+ cd "$(DESTDIR)$(iconscalabledir)" && rm -f $$files
+install-schemasDATA: $(schemas_DATA)
+ @$(NORMAL_INSTALL)
+ test -z "$(schemasdir)" || $(MKDIR_P) "$(DESTDIR)$(schemasdir)"
+ @list='$(schemas_DATA)'; test -n "$(schemasdir)" || list=; \
+ for p in $$list; do \
+ if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+ echo "$$d$$p"; \
+ done | $(am__base_list) | \
+ while read files; do \
+ echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(schemasdir)'"; \
+ $(INSTALL_DATA) $$files "$(DESTDIR)$(schemasdir)" || exit $$?; \
+ done
+
+uninstall-schemasDATA:
+ @$(NORMAL_UNINSTALL)
+ @list='$(schemas_DATA)'; test -n "$(schemasdir)" || list=; \
+ files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
+ test -n "$$files" || exit 0; \
+ echo " ( cd '$(DESTDIR)$(schemasdir)' && rm -f" $$files ")"; \
+ cd "$(DESTDIR)$(schemasdir)" && rm -f $$files
+install-serviceDATA: $(service_DATA)
+ @$(NORMAL_INSTALL)
+ test -z "$(servicedir)" || $(MKDIR_P) "$(DESTDIR)$(servicedir)"
+ @list='$(service_DATA)'; test -n "$(servicedir)" || list=; \
+ for p in $$list; do \
+ if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+ echo "$$d$$p"; \
+ done | $(am__base_list) | \
+ while read files; do \
+ echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(servicedir)'"; \
+ $(INSTALL_DATA) $$files "$(DESTDIR)$(servicedir)" || exit $$?; \
+ done
+
+uninstall-serviceDATA:
+ @$(NORMAL_UNINSTALL)
+ @list='$(service_DATA)'; test -n "$(servicedir)" || list=; \
+ files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
+ test -n "$$files" || exit 0; \
+ echo " ( cd '$(DESTDIR)$(servicedir)' && rm -f" $$files ")"; \
+ cd "$(DESTDIR)$(servicedir)" && rm -f $$files
+tags: TAGS
+TAGS:
+
+ctags: CTAGS
+CTAGS:
+
+
+distdir: $(DISTFILES)
+ @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+ topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+ list='$(DISTFILES)'; \
+ dist_files=`for file in $$list; do echo $$file; done | \
+ sed -e "s|^$$srcdirstrip/||;t" \
+ -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
+ case $$dist_files in \
+ */*) $(MKDIR_P) `echo "$$dist_files" | \
+ sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
+ sort -u` ;; \
+ esac; \
+ for file in $$dist_files; do \
+ if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
+ if test -d $$d/$$file; then \
+ dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
+ if test -d "$(distdir)/$$file"; then \
+ find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
+ fi; \
+ if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
+ cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
+ find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
+ fi; \
+ cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
+ else \
+ test -f "$(distdir)/$$file" \
+ || cp -p $$d/$$file "$(distdir)/$$file" \
+ || exit 1; \
+ fi; \
+ done
+check-am: all-am
+check: check-am
+all-am: Makefile $(DATA)
+installdirs:
+ for dir in "$(DESTDIR)$(icon16dir)" "$(DESTDIR)$(icon22dir)" "$(DESTDIR)$(icon24dir)" "$(DESTDIR)$(icon32dir)" "$(DESTDIR)$(icon48dir)" "$(DESTDIR)$(iconscalabledir)" "$(DESTDIR)$(schemasdir)" "$(DESTDIR)$(servicedir)"; do \
+ test -z "$$dir" || $(MKDIR_P) "$$dir"; \
+ done
+install: install-am
+install-exec: install-exec-am
+install-data: install-data-am
+uninstall: uninstall-am
+
+install-am: all-am
+ @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
+
+installcheck: installcheck-am
+install-strip:
+ $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
+ install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
+ `test -z '$(STRIP)' || \
+ echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
+mostlyclean-generic:
+
+clean-generic:
+ -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
+
+distclean-generic:
+ -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
+ -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
+
+maintainer-clean-generic:
+ @echo "This command is intended for maintainers to use"
+ @echo "it deletes files that may require special tools to rebuild."
+clean: clean-am
+
+clean-am: clean-generic clean-libtool mostlyclean-am
+
+distclean: distclean-am
+ -rm -f Makefile
+distclean-am: clean-am distclean-generic
+
+dvi: dvi-am
+
+dvi-am:
+
+html: html-am
+
+html-am:
+
+info: info-am
+
+info-am:
+
+install-data-am: install-data-local install-icon16DATA \
+ install-icon22DATA install-icon24DATA install-icon32DATA \
+ install-icon48DATA install-iconscalableDATA \
+ install-schemasDATA install-serviceDATA
+ @$(NORMAL_INSTALL)
+ $(MAKE) $(AM_MAKEFLAGS) install-data-hook
+install-dvi: install-dvi-am
+
+install-dvi-am:
+
+install-exec-am:
+
+install-html: install-html-am
+
+install-html-am:
+
+install-info: install-info-am
+
+install-info-am:
+
+install-man:
+
+install-pdf: install-pdf-am
+
+install-pdf-am:
+
+install-ps: install-ps-am
+
+install-ps-am:
+
+installcheck-am:
+
+maintainer-clean: maintainer-clean-am
+ -rm -f Makefile
+maintainer-clean-am: distclean-am maintainer-clean-generic
+
+mostlyclean: mostlyclean-am
+
+mostlyclean-am: mostlyclean-generic mostlyclean-libtool
+
+pdf: pdf-am
+
+pdf-am:
+
+ps: ps-am
+
+ps-am:
+
+uninstall-am: uninstall-icon16DATA uninstall-icon22DATA \
+ uninstall-icon24DATA uninstall-icon32DATA uninstall-icon48DATA \
+ uninstall-iconscalableDATA uninstall-schemasDATA \
+ uninstall-serviceDATA
+ @$(NORMAL_INSTALL)
+ $(MAKE) $(AM_MAKEFLAGS) uninstall-hook
+.MAKE: install-am install-data-am install-strip uninstall-am
+
+.PHONY: all all-am check check-am clean clean-generic clean-libtool \
+ distclean distclean-generic distclean-libtool distdir dvi \
+ dvi-am html html-am info info-am install install-am \
+ install-data install-data-am install-data-hook \
+ install-data-local install-dvi install-dvi-am install-exec \
+ install-exec-am install-html install-html-am \
+ install-icon16DATA install-icon22DATA install-icon24DATA \
+ install-icon32DATA install-icon48DATA install-iconscalableDATA \
+ install-info install-info-am install-man install-pdf \
+ install-pdf-am install-ps install-ps-am install-schemasDATA \
+ install-serviceDATA install-strip installcheck installcheck-am \
+ installdirs maintainer-clean maintainer-clean-generic \
+ mostlyclean mostlyclean-generic mostlyclean-libtool pdf pdf-am \
+ ps ps-am uninstall uninstall-am uninstall-hook \
+ uninstall-icon16DATA uninstall-icon22DATA uninstall-icon24DATA \
+ uninstall-icon32DATA uninstall-icon48DATA \
+ uninstall-iconscalableDATA uninstall-schemasDATA \
+ uninstall-serviceDATA
+
+
+@INTLTOOL_SCHEMAS_RULE@
+
+@MATECONF_SCHEMAS_INSTALL_TRUE@install-data-local:
+@MATECONF_SCHEMAS_INSTALL_TRUE@ MATECONF_CONFIG_SOURCE=$(MATECONF_SCHEMA_CONFIG_SOURCE) $(MATECONFTOOL) --makefile-install-rule $(schemas_DATA)
+@MATECONF_SCHEMAS_INSTALL_FALSE@install-data-local:
+
+install-data-hook: update-icon-cache
+uninstall-hook: update-icon-cache
+update-icon-cache:
+ @-if test -z "$(DESTDIR)"; then \
+ echo "Updating Gtk icon cache."; \
+ $(gtk_update_icon_cache); \
+ else \
+ echo "*** Icon cache not updated. After (un)install, run this:"; \
+ echo "*** $(gtk_update_icon_cache)"; \
+ fi
+
+-include $(top_srcdir)/git.mk
+
+# Tell versions [3.59,3.63) of GNU make to not export all variables.
+# Otherwise a system limit (for SysV at least) may be exceeded.
+.NOEXPORT:
diff --git a/data/icons/16x16/mate-notification-properties.png b/data/icons/16x16/mate-notification-properties.png
new file mode 100644
index 0000000..6fe81f0
--- /dev/null
+++ b/data/icons/16x16/mate-notification-properties.png
Binary files differ
diff --git a/data/icons/22x22/mate-notification-properties.png b/data/icons/22x22/mate-notification-properties.png
new file mode 100644
index 0000000..618326c
--- /dev/null
+++ b/data/icons/22x22/mate-notification-properties.png
Binary files differ
diff --git a/data/icons/24x24/mate-notification-properties.png b/data/icons/24x24/mate-notification-properties.png
new file mode 100644
index 0000000..8c8c353
--- /dev/null
+++ b/data/icons/24x24/mate-notification-properties.png
Binary files differ
diff --git a/data/icons/32x32/mate-notification-properties.png b/data/icons/32x32/mate-notification-properties.png
new file mode 100644
index 0000000..864d8ea
--- /dev/null
+++ b/data/icons/32x32/mate-notification-properties.png
Binary files differ
diff --git a/data/icons/48x48/mate-notification-properties.png b/data/icons/48x48/mate-notification-properties.png
new file mode 100644
index 0000000..5387f93
--- /dev/null
+++ b/data/icons/48x48/mate-notification-properties.png
Binary files differ
diff --git a/data/icons/scalable/mate-notification-properties.svg b/data/icons/scalable/mate-notification-properties.svg
new file mode 100644
index 0000000..9620ebe
--- /dev/null
+++ b/data/icons/scalable/mate-notification-properties.svg
@@ -0,0 +1,122 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<!-- Created with Inkscape (http://www.inkscape.org/) -->
+<svg
+ xmlns:dc="http://purl.org/dc/elements/1.1/"
+ xmlns:cc="http://creativecommons.org/ns#"
+ xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+ xmlns:svg="http://www.w3.org/2000/svg"
+ xmlns="http://www.w3.org/2000/svg"
+ xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
+ xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
+ width="48px"
+ height="48px"
+ id="svg8841"
+ sodipodi:version="0.32"
+ inkscape:version="0.46"
+ inkscape:export-filename="/home/chipx86/src/notification-daemon/data/icons/48x48/notification-properties.png"
+ inkscape:export-xdpi="90"
+ inkscape:export-ydpi="90"
+ sodipodi:docname="notification-properties.svg"
+ inkscape:output_extension="org.inkscape.output.svg.inkscape">
+ <defs
+ id="defs8843">
+ <filter
+ inkscape:collect="always"
+ id="filter8709">
+ <feGaussianBlur
+ inkscape:collect="always"
+ stdDeviation="0.32750762"
+ id="feGaussianBlur8711" />
+ </filter>
+ <inkscape:perspective
+ sodipodi:type="inkscape:persp3d"
+ inkscape:vp_x="0 : 24 : 1"
+ inkscape:vp_y="0 : 1000 : 0"
+ inkscape:vp_z="48 : 24 : 1"
+ inkscape:persp3d-origin="24 : 16 : 1"
+ id="perspective8849" />
+ </defs>
+ <sodipodi:namedview
+ id="base"
+ pagecolor="#ffffff"
+ bordercolor="#666666"
+ borderopacity="1.0"
+ inkscape:pageopacity="0.0"
+ inkscape:pageshadow="2"
+ inkscape:zoom="1"
+ inkscape:cx="9.7283764"
+ inkscape:cy="35.898575"
+ inkscape:current-layer="layer1"
+ showgrid="false"
+ inkscape:grid-bbox="true"
+ inkscape:document-units="px"
+ objecttolerance="10000"
+ gridtolerance="10000"
+ guidetolerance="10000"
+ inkscape:window-width="1385"
+ inkscape:window-height="922"
+ inkscape:window-x="287"
+ inkscape:window-y="79">
+ <inkscape:grid
+ type="xygrid"
+ id="grid8869"
+ visible="true"
+ enabled="true" />
+ </sodipodi:namedview>
+ <metadata
+ id="metadata8846">
+ <rdf:RDF>
+ <cc:Work
+ rdf:about="">
+ <dc:format>image/svg+xml</dc:format>
+ <dc:type
+ rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
+ </cc:Work>
+ </rdf:RDF>
+ </metadata>
+ <g
+ id="layer1"
+ inkscape:label="Layer 1"
+ inkscape:groupmode="layer">
+ <g
+ id="g8871"
+ transform="translate(13.5,-12.74876)">
+ <g
+ transform="translate(-279.5,-307.25076)"
+ id="g8701">
+ <path
+ sodipodi:nodetypes="cccccccccccc"
+ id="path8672"
+ d="M 274.5,333.5 L 307.5,333.5 C 308.608,333.5 309.5,334.392 309.5,335.5 L 309.5,353.5 C 309.5,354.608 308.608,355.5 307.5,355.5 L 305.77251,355.5218 L 302.09538,360.00152 L 297.88047,355.5 L 274.5,355.5 C 273.392,355.5 272.5,354.608 272.5,353.5 L 272.5,335.5 C 272.5,334.392 273.392,333.5 274.5,333.5 z"
+ style="opacity:0.33057849;fill:#000000;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dashoffset:0;stroke-opacity:1;filter:url(#filter8709)" />
+ <path
+ style="opacity:1;fill:#b6cee7;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dashoffset:0;stroke-opacity:1"
+ d="M 273.5,332.5 L 306.5,332.5 C 307.608,332.5 308.5,333.392 308.5,334.5 L 308.5,352.5 C 308.5,353.608 307.608,354.5 306.5,354.5 L 304.9375,354.5 L 301.375,358.5625 L 297.3125,354.5 L 273.5,354.5 C 272.392,354.5 271.5,353.608 271.5,352.5 L 271.5,334.5 C 271.5,333.392 272.392,332.5 273.5,332.5 z"
+ id="path8674"
+ sodipodi:nodetypes="cccccccccccc" />
+ <rect
+ y="333"
+ x="272"
+ height="21"
+ width="9"
+ id="rect8676"
+ style="opacity:1;fill:#2d69c1;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1" />
+ <path
+ sodipodi:nodetypes="ccccccc"
+ id="path8678"
+ d="M 273.5,332.5 L 306.5,332.5 C 307.608,332.5 308.5,333.392 308.5,334.5 L 308.5,342.5 C 287.07345,339.0155 273.54868,349.06545 271.5,342.5 L 271.5,334.5 C 271.5,333.392 272.392,332.5 273.5,332.5 z"
+ style="opacity:0.24380164;fill:#ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dashoffset:0;stroke-opacity:1" />
+ <path
+ style="fill:none;fill-opacity:1;fill-rule:nonzero;stroke:#2e3436;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dashoffset:0;stroke-opacity:1"
+ d="M 273.5,332.5 L 306.5,332.5 C 307.608,332.5 308.5,333.392 308.5,334.5 L 308.5,352.5 C 308.5,353.608 307.608,354.5 306.5,354.5 L 304.77251,354.5218 L 301.09538,359.00152 L 296.88047,354.5 L 273.5,354.5 C 272.392,354.5 271.5,353.608 271.5,352.5 L 271.5,334.5 C 271.5,333.392 272.392,332.5 273.5,332.5 z"
+ id="path8680"
+ sodipodi:nodetypes="cccccccccccc" />
+ <path
+ sodipodi:nodetypes="cccccccccccc"
+ id="path8682"
+ d="M 273.92314,333.5 L 306.07686,333.5 C 307.12497,333.5 307.5,333.84326 307.5,334.8519 L 307.5,352.17525 C 307.5,353.18389 307.12497,353.52715 306.07686,353.52715 L 304.28649,353.54699 L 301.02688,357.53125 L 297.32105,353.52715 L 273.92314,353.52715 C 272.87503,353.52715 272.5,353.18389 272.5,352.17525 L 272.5,334.8519 C 272.5,333.84326 272.87503,333.5 273.92314,333.5 z"
+ style="opacity:0.28099174;fill:none;fill-opacity:1;fill-rule:nonzero;stroke:#eeeeec;stroke-width:0.99999994;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dashoffset:0;stroke-opacity:1" />
+ </g>
+ </g>
+ </g>
+</svg>
diff --git a/data/mate-notification-daemon.schemas.in b/data/mate-notification-daemon.schemas.in
new file mode 100644
index 0000000..117d144
--- /dev/null
+++ b/data/mate-notification-daemon.schemas.in
@@ -0,0 +1,53 @@
+<mateconfschemafile>
+ <schemalist>
+
+ <schema>
+ <key>/schemas/apps/mate-notification-daemon/popup_location</key>
+ <applyto>/apps/mate-notification-daemon/popup_location</applyto>
+ <owner>mate-notification-daemon</owner>
+ <type>string</type>
+ <default>bottom_right</default>
+ <locale name="C">
+ <short>Popup location</short>
+ <long>Default popup location on the workspace for stack notifications. Allowed values: &quot;top_left&quot;,&quot;top_right&quot;,&quot;bottom_left&quot; and &quot;bottom_right&quot;</long>
+ </locale>
+ </schema>
+
+ <schema>
+ <key>/schemas/apps/mate-notification-daemon/theme</key>
+ <applyto>/apps/mate-notification-daemon/theme</applyto>
+ <owner>mate-notification-daemon</owner>
+ <type>string</type>
+ <default>default</default>
+ <locale name="C">
+ <short>Current theme</short>
+ <long>The theme used when displaying notifications.</long>
+ </locale>
+ </schema>
+
+ <schema>
+ <key>/schemas/apps/mate-notification-daemon/sound_enabled</key>
+ <applyto>/apps/mate-notification-daemon/sound_enabled</applyto>
+ <owner>mate-notification-daemon</owner>
+ <type>bool</type>
+ <default>1</default>
+ <locale name="C">
+ <short>Sound Enabled</short>
+ <long>Turns on and off sound support for notifications.</long>
+ </locale>
+ </schema>
+
+ <schema>
+ <key>/schemas/apps/mate-notification-daemon/default_sound</key>
+ <applyto>/apps/mate-notification-daemon/default_sound</applyto>
+ <owner>mate-notification-daemon</owner>
+ <type>string</type>
+ <default></default>
+ <locale name="C">
+ <short>Default Sound</short>
+ <long>The default sound file used unless a notification supplies the 'sound-file' or 'suppress-sound' hint. Leave empty for no default sound.</long>
+ </locale>
+ </schema>
+
+ </schemalist>
+</mateconfschemafile>
diff --git a/data/org.freedesktop.mate.Notifications.service.in b/data/org.freedesktop.mate.Notifications.service.in
new file mode 100644
index 0000000..343f57f
--- /dev/null
+++ b/data/org.freedesktop.mate.Notifications.service.in
@@ -0,0 +1,3 @@
+[D-BUS Service]
+Name=org.freedesktop.Notifications
+Exec=@LIBEXECDIR@/mate-notification-daemon